wxWidgets: wxListItemAttr Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxListItemAttr Class Reference
Class List by Category » Data Structures

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/listctrl.h>`

## Detailed Description

Represents the attributes (color, font, ...) of a wxListCtrl's wxListItem.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxListCtrl Overview, wxListCtrl, wxListItem

## Public Member Functions
| wxListItemAttr ()
| Default Constructor. More...
| wxListItemAttr (const wxColour &colText, const wxColour &colBack, const wxFont &font)
| Construct a wxListItemAttr with the specified foreground and background colors and font. More...
const wxColour & | GetBackgroundColour () const
| Returns the currently set background color. More...
const wxFont & | GetFont () const
| Returns the currently set font. More...
const wxColour & | GetTextColour () const
| Returns the currently set text color. More...
bool | HasBackgroundColour () const
| Returns true if the currently set background color is valid. More...
bool | HasFont () const
| Returns true if the currently set font is valid. More...
bool | HasTextColour () const
| Returns true if the currently set text color is valid. More...
void | SetBackgroundColour (const wxColour &colour)
| Sets a new background color. More...
void | SetFont (const wxFont &font)
| Sets a new font. More...
void | SetTextColour (const wxColour &colour)
| Sets a new text color. More...

## Constructor & Destructor Documentation

## ◆ wxListItemAttr() [1/2]

wxListItemAttr::wxListItemAttr | ( |  | ) |

Default Constructor.

## ◆ wxListItemAttr() [2/2]

wxListItemAttr::wxListItemAttr | ( | const wxColour & | colText,
|  | const wxColour & | colBack,
|  | const wxFont & | font
| ) |  |

Construct a wxListItemAttr with the specified foreground and background colors and font.

## Member Function Documentation

## ◆ GetBackgroundColour()

const wxColour& wxListItemAttr::GetBackgroundColour | ( |  | ) | const

Returns the currently set background color.

## ◆ GetFont()

const wxFont& wxListItemAttr::GetFont | ( |  | ) | const

Returns the currently set font.

## ◆ GetTextColour()

const wxColour& wxListItemAttr::GetTextColour | ( |  | ) | const

Returns the currently set text color.

## ◆ HasBackgroundColour()

bool wxListItemAttr::HasBackgroundColour | ( |  | ) | const

Returns true if the currently set background color is valid.

## ◆ HasFont()

bool wxListItemAttr::HasFont | ( |  | ) | const

Returns true if the currently set font is valid.

## ◆ HasTextColour()

bool wxListItemAttr::HasTextColour | ( |  | ) | const

Returns true if the currently set text color is valid.

## ◆ SetBackgroundColour()

void wxListItemAttr::SetBackgroundColour | ( | const wxColour & | colour | ) |

Sets a new background color.

## ◆ SetFont()

void wxListItemAttr::SetFont | ( | const wxFont & | font | ) |

Sets a new font.

## ◆ SetTextColour()

void wxListItemAttr::SetTextColour | ( | const wxColour & | colour | ) |

Sets a new text color.